StringPart (HttpClient Library (Version 3.1))
Date: 2016-03-09

org.apache.commons.httpclient.methods.multipart

## Class StringPart

- java.lang.Object
- - org.apache.commons.httpclient.methods.multipart.Part
  - - org.apache.commons.httpclient.methods.multipart.PartBase
    - - org.apache.commons.httpclient.methods.multipart.StringPart

-     public class StringPart
      extends PartBase

  Simple string parameter for a multipart post
  Since:
    2.0
  Author:
    Matthew Albright, Jeff Dever, Mike Bowler, Oleg Kalnichevski

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_CHARSET` Default charset of string parameters
    `static java.lang.String` | `DEFAULT_CONTENT_TYPE` Default content encoding of string parameters.
    `static java.lang.String` | `DEFAULT_TRANSFER_ENCODING` Default transfer encoding of string parameters

    - ### Fields inherited from class org.apache.commons.httpclient.methods.multipart.Part

      `BOUNDARY, BOUNDARY_BYTES, CHARSET, CHARSET_BYTES, CONTENT_DISPOSITION, CONTENT_DISPOSITION_BYTES, CONTENT_TRANSFER_ENCODING, CONTENT_TRANSFER_ENCODING_BYTES, CONTENT_TYPE, CONTENT_TYPE_BYTES, CRLF, CRLF_BYTES, EXTRA, EXTRA_BYTES, QUOTE, QUOTE_BYTES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringPart(java.lang.String name, java.lang.String value)` Constructor.
    `StringPart(java.lang.String name, java.lang.String value, java.lang.String charset)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected long` | `lengthOfData()` Return the length of the data.
    `protected void` | `sendData(java.io.OutputStream out)` Writes the data to the given OutputStream.
    `void` | `setCharSet(java.lang.String charSet)` Sets the character encoding.

    - ### Methods inherited from class org.apache.commons.httpclient.methods.multipart.PartBase

      `getCharSet, getContentType, getName, getTransferEncoding, setContentType, setName, setTransferEncoding`

    - ### Methods inherited from class org.apache.commons.httpclient.methods.multipart.Part

      `getBoundary, getLengthOfParts, getLengthOfParts, getPartBoundary, isRepeatable, length, send, sendContentTypeHeader, sendDispositionHeader, sendEnd, sendEndOfHeader, sendParts, sendParts, sendStart, sendTransferEncodingHeader, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_CONTENT_TYPE

          public static final java.lang.String DEFAULT_CONTENT_TYPE

      Default content encoding of string parameters.
      See Also:
        Constant Field Values

    - #### DEFAULT_CHARSET

          public static final java.lang.String DEFAULT_CHARSET

      Default charset of string parameters
      See Also:
        Constant Field Values

    - #### DEFAULT_TRANSFER_ENCODING

          public static final java.lang.String DEFAULT_TRANSFER_ENCODING

      Default transfer encoding of string parameters
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StringPart

          public StringPart(java.lang.String name,
                    java.lang.String value,
                    java.lang.String charset)

      Constructor.
      Parameters:
        `name` - The name of the part
        `value` - the string to post
        `charset` - the charset to be used to encode the string, if `null` the `default` is used

    - #### StringPart

          public StringPart(java.lang.String name,
                    java.lang.String value)

      Constructor.
      Parameters:
        `name` - The name of the part
        `value` - the string to post

  - ### Method Detail

    - #### sendData

          protected void sendData(java.io.OutputStream out)
                           throws java.io.IOException

      Writes the data to the given OutputStream.
      Specified by:
        `sendData` in class `Part`
      Parameters:
        `out` - the OutputStream to write to
      Throws:
        `java.io.IOException` - if there is a write error

    - #### lengthOfData

          protected long lengthOfData()
                               throws java.io.IOException

      Return the length of the data.
      Specified by:
        `lengthOfData` in class `Part`
      Returns:
        The length of the data.
      Throws:
        `java.io.IOException` - If an IO problem occurs
      See Also:
        `Part.lengthOfData()`

    - #### setCharSet

          public void setCharSet(java.lang.String charSet)

      Description copied from class: `PartBase`
      Sets the character encoding.
      Overrides:
        `setCharSet` in class `PartBase`
      Parameters:
        `charSet` - the character encoding, or `null` to exclude the character encoding header

Copyright (c) 1999-2005 - Apache Software Foundation